%define oname   addressable

Name:       ruby-%{oname}
Version:    2.4.0
Release:    %mkrel 1
Summary:    A replacement for the URI implementation of Ruby's standard library
Group:      Development/Ruby
License:    MIT
URL:        http://addressable.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec) >= 2.0.0
BuildArch:  noarch

%description
Addressable is a replacement for the URI implementation that is part of
Ruby's standard library. It more closely conforms to the relevant RFCs and
adds support for IRIs and URI templates.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc CHANGELOG.md README.md


%changelog
* Thu Dec 31 2015 pterjan <pterjan> 2.4.0-1.mga6
+ Revision: 917274
- Update to 2.4.0

* Wed Oct 15 2014 umeabot <umeabot> 2.3.5-8.mga5
+ Revision: 744382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.5-7.mga5
+ Revision: 688744
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.3.5-6.mga4
+ Revision: 561773
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.3.5-5.mga4
+ Revision: 561730
- Rebuild to fix provides
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 2.3.5-3.mga4
+ Revision: 561039
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 2.3.5-2.mga4
+ Revision: 538822
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 pterjan <pterjan> 2.3.5-1.mga4
+ Revision: 490445
- 2.3.5

* Sat Sep 21 2013 fwang <fwang> 2.3.4-4.mga4
+ Revision: 482786
- rebuild for ruby 2.0

  + pterjan <pterjan>
    - Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 2.3.4-2.mga4
+ Revision: 476744
- Fix file list

* Sun Jun 09 2013 fwang <fwang> 2.3.4-1.mga4
+ Revision: 441139
- new version 2.3.4

* Fri Feb 08 2013 umeabot <umeabot> 2.3.2-3.mga3
+ Revision: 395714
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-2.mga3
+ Revision: 380651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 2.3.2-1.mga3
+ Revision: 312273
- new version 2.3.2

* Fri Jun 08 2012 shlomif <shlomif> 2.2.8-1.mga3
+ Revision: 257776
- sha1
- Moved the files sections to the bottom
- New version - 2.2.8

* Sat Apr 16 2011 shikamaru <shikamaru> 2.2.5-1.mga1
+ Revision: 86273
- New version 2.2.5
- rediff patch
- fix file list

* Tue Feb 15 2011 shikamaru <shikamaru> 2.2.4-1.mga1
+ Revision: 52042
- new version 2.2.4

* Thu Feb 03 2011 shikamaru <shikamaru> 2.2.2-3.mga1
+ Revision: 46745
- Add check section
- add patch to support rspec2
- add buildrequires
- bump release

* Tue Jan 25 2011 shikamaru <shikamaru> 2.2.2-2.mga1
+ Revision: 39113
- imported package ruby-addressable


* Tue Jan 25 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.2.2-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Wed Nov 03 2010 Rémy Clouard <shikamaru@mandriva.org> 2.2.2-1mdv2011.0
+ Revision: 592966
- import rubygem-addressable

